Subject: Re: [RFC PATCH 00/21] Modernize the build system

From: Phillip Wood <[email-masked]>
Date: Tue, 8 Oct 2024 15:11:35 +0100

Hi Patrick

On 02/10/2024 16:15, Patrick Steinhardt wrote:
> 
>    - Patches 2 to 9 fix various different bugs I have found while working
>      on many different platforms. They can likely go into the tree
>      separately, and I'm happy to split these out into a separate patch
>      series if we want to.

These all look like useful improvements in their own right, splitting 
them out would make sense to me.

>    - Patches 10 to 20 refactor parts of our preexisting build systems and
>      testing infrastructure to provide better support for out-of-tree
>      builds. While we already have CMake build instructions in our tree,
>      they do not currently have "proper" out-of-tree builds as they still
>      end up writing data into the source directory. So while these
>      patches are written with Meson in mind, they should also help CMake.
>      As a result of these patches, Meson builds and test runs are fully
>      self-contained.

Patches 14-16 and 18 look useful in their own right even if we don't 
adopt Meson. The others all look sensible in the context of supporting 
multiple build systems and might be worth doing anyway especially if 
they simplify the existing CMakeLists.txt.

I've skipped patches 1 and 21 for now, I'll have a look at those later 
in the week.

Best Wishes

Phillip